<div class="row">
  <div class="column" style="width: 50%; display: flex; height: 5%;">
    <div class="side-item fontSize topic" style="font-size: 18px;">
      <div
        style="display: flex; margin-right: 10px; cursor: pointer;"
        routerLink="/listCheck"
      >
        <img
          src="../../../../assets/img/icons/icon-barcode.png"
          style="margin-right: 10px;"
        />รายการเช็คชื่อ
      </div>
      / เช็คชื่อด้วยบาร์โค้ด
    </div>
  </div>
</div>

<div class="side"></div>
<br />
<div class="form-barcode">
  <div class="column" style="width: 50%; height: 100%; display: flex;">
    <img [src]="imgCheck" class="img-profile" />
  </div>
  <div class="clock" [ngStyle]="{ color: timecolor }">{{ clock }}</div>
  <div class="column1" style="width: 50%; text-align: center; margin-top: 10%;">
    <div class="side-item" style="font-size: 30px;">
      <mat-form-field appearance="outline" style="width: 50%;">
        <mat-label>ค้นหาด้วยรหัสผู้ใช้</mat-label>
        <input matInput [(ngModel)]="username" (keyup.enter)="onEnter()" />
        <mat-icon matSuffix class="fontSize">search</mat-icon>
      </mat-form-field>
      <br />
      <div>{{ usernameShow }}</div>
      <div>{{ name }}</div>
    </div>
  </div>
</div>
<br />
<div
  class="mat-elevation-z1"
  style="width: 95%; margin: auto; margin-bottom: 50px;"
>
  <table mat-table [dataSource]="dataSource" matSort>
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef class="table-head">
        ลำดับ
      </th>
      <td mat-cell *matCellDef="let row" class="table-list">{{ row.id }}</td>
    </ng-container>

    <ng-container matColumnDef="username">
      <th mat-header-cell *matHeaderCellDef class="table-head">
        รหัสผู้ใช้
      </th>
      <td mat-cell *matCellDef="let row" class="table-list">
        {{ row.username }}
      </td>
    </ng-container>

    <ng-container matColumnDef="name">
      <th mat-header-cell *matHeaderCellDef class="table-head">
        ชื่อ - นามสกุล
      </th>
      <td mat-cell *matCellDef="let row" class="table-list">{{ row.name }}</td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef class="table-head">
        สถานะ
      </th>
      <td mat-cell *matCellDef="let row" class="table-list">
        <div *ngIf="row.status == 'สาย'" style="color: red;">
          {{ row.status }}
        </div>
        <div *ngIf="row.status != 'สาย'">{{ row.status }}</div>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr
      class="example-element-row"
      mat-row
      *matRowDef="let row; columns: displayedColumns"
    ></tr>
  </table>
</div>
